<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use app\models\AccountForm;

class DeauthenticationController extends Controller
{
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['@'],
                    ]
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'index' => ['post'],
                ],
            ]
        ];
    }

    public function actionIndex()
    {
        Yii::$app->response->format = Response::FORMAT_JSON;

        // Выход из аккаунта
        Yii::$app->user->logout();

        // Инициализация
        $model = new AccountForm(Yii::$app->request->post('AccountForm') ?? Yii::$app->request->get('AccountForm') ?? null);

        // Ответа
        return [
            'menu' => $model->authenticationGenHtml($this->renderPartial('/account', compact('model'))),
            'main' => $this->renderPartial('/index'),
            'redirect' => '/',
            '_csrf' => Yii::$app->request->getCsrfToken()
        ];
    }
}
