<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\web\Response;
use app\models\AccountForm;

class IdentificationController extends Controller
{
    public function actionIndex()
    {
        if (Yii::$app->request->isAjax) {
            // AJAX-POST-запрос

            Yii::$app->response->format = Response::FORMAT_JSON;

            if (Yii::$app->user->isGuest) {
                // Аккаунт не аутентифицирован

                // Инициализация
                $model = new AccountForm(Yii::$app->request->post('AccountForm') ?? Yii::$app->request->get('AccountForm') ?? null);

                // Запись ответа
                $return = [
                    'menu' => $model->authenticationGenHtml($this->renderPartial('/account', compact('model'))),
                    '_csrf' => Yii::$app->request->getCsrfToken()
                ];
            } else {
                // Аккаунт аутентифицирован

                // Инициализация
                $model = Yii::$app->user;

                // Запись ответа
                $return = [
                    'menu' => (new AccountForm())->deauthenticationGenHtml(),
                    '_csrf' => Yii::$app->request->getCsrfToken()
                ];
            }

            if (($cookies = Yii::$app->request->cookies)->has('redirect')) {
                // Найдено cookie с переадресацией

                // Запись ответа
                $return['redirect'] = '/' . $cookies['redirect'];

                // Очистка cookie
                unset(Yii::$app->response->cookies['redirect']);
            }

            return $return;
        }
    }
}
